## FolksPotentialMatch

FolksPotentialMatch — Match calculator for pairs of individuals.

## Functions

FolksMatchResult | folks_potential_match_potential_match ()
FolksPotentialMatch * | folks_potential_match_new ()

## Types and Values

#define | FOLKS_TYPE_POTENTIAL_MATCH
struct | FolksPotentialMatch
struct | FolksPotentialMatchClass
enum | FolksMatchResult

## Description

This provides functionality to explore the degree of a potential match between two individuals. It compares the similarity of the individuals' properties to determine how likely it is that the individuals represent the same physical person.

This can be used by folks clients to, for example, present suggestions of pairs of individuals which should be linked by the user.

## Functions

### folks_potential_match_potential_match ()

    FolksMatchResult
    folks_potential_match_potential_match (FolksPotentialMatch *self,
                                           FolksIndividual *a,
                                           FolksIndividual *b);

Whether two individuals are likely to be the same person.

#### Parameters

self | the FolksPotentialMatch instance |
a | . an individual to compare . | [in]
b | . another individual to compare . | [in]

Since: 0.5.0

### folks_potential_match_new ()

    FolksPotentialMatch *
    folks_potential_match_new (void);

Create a new PotentialMatch.

#### Returns

a new PotentialMatch

Since: 0.5.0

## Types and Values

### FOLKS_TYPE_POTENTIAL_MATCH

    #define FOLKS_TYPE_POTENTIAL_MATCH (folks_potential_match_get_type ())

The type for FolksPotentialMatch.

### struct FolksPotentialMatch

    struct FolksPotentialMatch {
    	GObject parent_instance;
    	FolksPotentialMatchPrivate * priv;
    };

Match calculator for pairs of individuals.

This provides functionality to explore the degree of a potential match between two individuals. It compares the similarity of the individuals' properties to determine how likely it is that the individuals represent the same physical person.

This can be used by folks clients to, for example, present suggestions of pairs of individuals which should be linked by the user.

#### Members

FolksPotentialMatchPrivate *`priv`; |  |

Since: 0.5.0

### struct FolksPotentialMatchClass

    struct FolksPotentialMatchClass {
    	GObjectClass parent_class;
    };

The class structure for `FOLKS_TYPE_POTENTIAL_MATCH`. All the fields in this structure are private and should never be accessed directly.

#### Members

### enum FolksMatchResult

Likely-ness of a potential match.

Note that the order should be maintained.

#### Members

FOLKS_MATCH_RESULT_NONE | Zero likelihood of a match. This is used in situations where two individuals should never be linked, such as when one of them has a "trust-level" of FOLKS_TRUST_LEVEL_NONE, or when the individuals are explicitly anti-linked. |
FOLKS_MATCH_RESULT_VERY_LOW | Very low likelihood of a match. |
FOLKS_MATCH_RESULT_LOW | Low likelihood of a match. |
FOLKS_MATCH_RESULT_MEDIUM | Medium likelihood of a match. |
FOLKS_MATCH_RESULT_HIGH | High likelihood of a match. |
FOLKS_MATCH_RESULT_VERY_HIGH | Very high likelihood of a match. |
FOLKS_MATCH_RESULT_MIN | Minimum likelihood of a match. |
FOLKS_MATCH_RESULT_MAX | Maximum likelihood of a match. |

Since: 0.5.0